"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.colorAlphaToHex = void 0;
const color2k_1 = require("color2k");
const alpha_1 = require("../utilities/alpha");
const isColor_1 = require("../filter/isColor");
/**
 * colorAlphaToHex
 * @description convert a token of type `color` to a hex8 value if alpha < 1 and hex6 if alpha is 1
 */
exports.colorAlphaToHex = {
    type: `value`,
    transitive: true,
    matcher: isColor_1.isColor,
    transformer: (token) => {
        if (token.alpha)
            return (0, color2k_1.toHex)((0, alpha_1.alpha)(token.value, token.alpha));
        return (0, color2k_1.toHex)(token.value);
    }
};
