"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cubicBezierCss = void 0;
const isCubicBezier_1 = require("../filter/isCubicBezier");
exports.cubicBezierCss = {
    type: `value`,
    transitive: true,
    matcher: (token) => (0, isCubicBezier_1.isCubicBezier)(token) && Array.isArray(token.value),
    transformer: ({ value: [x1, y1, x2, y2] }) => `cubic-bezier(${x1}, ${y1}, ${x2}, ${y2})`
};
