"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fontFamilyCss = void 0;
const isFontFamily_1 = require("../filter/isFontFamily");
const hasSpaceInName = (string) => /\s/g.test(string);
/**
 * fontFamilyCss
 * @description if fontFamily is an array, join it with commas and wrap font names with spaces in quotes
 */
exports.fontFamilyCss = {
    type: `value`,
    transitive: true,
    matcher: (token) => (0, isFontFamily_1.isFontFamily)(token) && Array.isArray(token.value),
    transformer: (token) => token.value.map((string) => hasSpaceInName(string) ? `'${string}'` : string).join(", ")
};
