"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.gradientCss = void 0;
const isGradient_1 = require("../filter/isGradient");
exports.gradientCss = {
    type: `value`,
    transitive: true,
    matcher: isGradient_1.isGradient,
    transformer: (token) => {
        // combine stops to string
        const stops = token.value.map((stop) => `${stop.color}${stop.position ? ` ${Math.floor(stop.position * 100)}%` : ""}`).join(", ");
        // return gradient value
        return `${token.angle ? `${token.angle}, ` : ""}${stops}`;
    }
};
