"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonToNestedValue = void 0;
/**
 * jsonToNestedValue
 * @description creates a nested json three where every final value is the `.value` prop
 * @param token StyleDictionary.DesignToken
 * @returns nested json three
 */
const jsonToNestedValue = (token) => {
    // is non-object value
    if (!token || typeof token !== 'object')
        return token;
    // is design token
    if ('value' in token)
        return token.value;
    // is obj
    const nextObj = {};
    for (const [prop, value] of Object.entries(token)) {
        // @ts-expect-error: can't predict type
        nextObj[prop] = (0, exports.jsonToNestedValue)(value);
    }
    return nextObj;
};
exports.jsonToNestedValue = jsonToNestedValue;
